Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf.basic
Class BasicTipOfTheDayUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.TipOfTheDayUI
                  org.jdesktop.swingx.plaf.basic.BasicTipOfTheDayUI

Direct Known Subclasses:
  WindowsTipOfTheDayUI

    public class BasicTipOfTheDayUI

extends TipOfTheDayUI

Base implementation of the `JXTipOfTheDay` UI.

Author:
  Frederic Lavigne

Field Summary
`protected java.beans.PropertyChangeListener` | `changeListener`
`protected java.awt.Component` | `currentTipComponent`
`protected javax.swing.JPanel` | `tipArea`
`protected java.awt.Font` | `tipFont`
`protected JXTipOfTheDay` | `tipPane`

Constructor Summary
`BasicTipOfTheDayUI(JXTipOfTheDay tipPane)`

Method Summary
`protected java.beans.PropertyChangeListener` | `createChangeListener()`
`javax.swing.JDialog` | `createDialog(java.awt.Component parentComponent, JXTipOfTheDay.ShowOnStartupChoice choice)` Creates a new JDialog to display a JXTipOfTheDay panel.
`protected javax.swing.JDialog` | `createDialog(java.awt.Component parentComponent, JXTipOfTheDay.ShowOnStartupChoice choice, boolean showPreviousButton)`
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`protected void` | `installComponents()`
`protected void` | `installDefaults()`
`protected void` | `installKeyboardActions()`
`protected void` | `installListeners()`
`void` | `installUI(javax.swing.JComponent c)`
`protected void` | `showCurrentTip()`
`protected void` | `uninstallComponents()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tipPane

    protected JXTipOfTheDay tipPane

### tipArea

    protected javax.swing.JPanel tipArea

### currentTipComponent

    protected java.awt.Component currentTipComponent

### tipFont

    protected java.awt.Font tipFont

### changeListener

    protected java.beans.PropertyChangeListener changeListener

Constructor Detail

### BasicTipOfTheDayUI

    public BasicTipOfTheDayUI(JXTipOfTheDay tipPane)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### createDialog

    public javax.swing.JDialog createDialog(java.awt.Component parentComponent,
                                            JXTipOfTheDay.ShowOnStartupChoice choice)

  Description copied from class: `TipOfTheDayUI`
  Creates a new JDialog to display a JXTipOfTheDay panel. If `choice` is not null then the window will offer a way for the end-user to not show the tip of the day dialog.

  Specified by:
    `createDialog` in class `TipOfTheDayUI`
  Returns:
    a new JDialog to display a JXTipOfTheDay panel

### createDialog

    protected javax.swing.JDialog createDialog(java.awt.Component parentComponent,
                                               JXTipOfTheDay.ShowOnStartupChoice choice,
                                               boolean showPreviousButton)

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    `installUI` in class `javax.swing.plaf.ComponentUI`

### installKeyboardActions

    protected void installKeyboardActions()

### installListeners

    protected void installListeners()

### createChangeListener

    protected java.beans.PropertyChangeListener createChangeListener()

### installDefaults

    protected void installDefaults()

### installComponents

    protected void installComponents()

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

  Overrides:
    `getPreferredSize` in class `javax.swing.plaf.ComponentUI`

### showCurrentTip

    protected void showCurrentTip()

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    `uninstallUI` in class `javax.swing.plaf.ComponentUI`

### uninstallListeners

    protected void uninstallListeners()

### uninstallComponents

    protected void uninstallComponents()

### uninstallDefaults

    protected void uninstallDefaults()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.